//+------------------------------------------------------------------+
//|                                            GoldminerCoupling.mq4 |
//|                                             Copyright  2010, Me |
//+------------------------------------------------------------------+
#property copyright "Copyright  2010, Me"

#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Magenta
#property indicator_color2 Yellow

extern string Remark1 = "-- Goldminer1 Settings --";
extern int RISK = 4;
extern int GM1VerifyShift = 0;
extern string Remark2 = "-- Goldminer2 Settings --";
extern int SSP = 7;
extern double Kmax = 50.6;
extern int GM2VerifyShift = 0;

//---- buffers
double ExtMapBuffer1[];
double ExtMapBuffer2[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   SetIndexStyle(0,DRAW_ARROW);
   SetIndexArrow(0,234);
   SetIndexBuffer(0,ExtMapBuffer1);
   SetIndexEmptyValue(0,0.0);
   SetIndexStyle(1,DRAW_ARROW);
   SetIndexArrow(1,233);
   SetIndexBuffer(1,ExtMapBuffer2);
   SetIndexEmptyValue(1,0.0);
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
   
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {

   //+------------------------------------------------------------------+
   //| Goldminer Begin                                                  |
   //+------------------------------------------------------------------+

   double GN11,GN12,GN21,GN22;
   string Goldminer1,Goldminer2;

   for(int a=0;a<Bars;a++){//For Loop
   GN11=iCustom(0,0,"goldminer1",RISK,Bars,0,a+GM1VerifyShift);
   GN12=iCustom(0,0,"goldminer1",RISK,Bars,1,a+GM1VerifyShift);
   GN21=iCustom(0,0,"goldminer2",SSP,Kmax,Bars,0,a+GM2VerifyShift);
   GN22=iCustom(0,0,"goldminer2",SSP,Kmax,Bars,1,a+GM2VerifyShift);

   if(GN12>GN11 && GN21>GN22){Goldminer2="Up";
      ExtMapBuffer2[a]=Low[a];}
   else if(GN11>GN12 && GN22>GN21){Goldminer2="Down";
      ExtMapBuffer1[a]=High[a];}
   else {Goldminer2="None";}

   }//End Of For Loop

   //+---------------------------------------------------------------+
   return(0);
  }
//+------------------------------------------------------------------+